# Glitch Overhaul
### A visual-only, client-side-only mod for Glitch.
#### Image previews can be found below the Settings section.

<hr>

# Features:
- Custom Nebula Skybox
- Lots of additional Particle Effects
- Complete Fog Removal or Additional Skybox Fog
- 4 Different Bloom Levels
- Blue Glowing Trees
- Godrays Removal
- Custom Colour Correction
- Settings regarding nearly all of the Features

<hr>

# Settings:
- Colour Correction:
   - Additional Red Saturation/Desaturation
   - Additional Blue Saturation/Desaturation
   - Really small values are recommendable (0.05-0.1 for Sat and 0.1-1.0 for Desat)
   - Values used in previews are all 0s
- Particles (Map reload required for changes to take effect):
   - White Streaks On/Off
   - Blue Streaks On/Off
   - Orange Streaks On/Off
- Post Processing:
   - Colour Correction On/Off
   - Bloom Scale (2 is the recommended value and has been used in previews)
   - Map Fog On/Off
- Particles | Experimental (Map reload rule applies):
   - Particle Pillars:
      - Very resource intensive
      - Can't be added even in medium amounts as they overload the maximum particle count :(
      - Only 4 are on the map in this version and shouldn't cause any issues when enabled
      - Can be found in the 1st 3 images
   - Dimentional Breaches:
      - Essentially huge inverted spheres projecting a fractal cubemap
      - They're particles, start just above the map, slowly move upwards and decrease in size
      - Not really Experimental but more of a misc fun setting :)
      - Can be seen in the last 2 images

# Preview:
![image](https://cdn.discordapp.com/attachments/974722927704539166/977710576958586910/unknown.png)
 
![image](https://cdn.discordapp.com/attachments/974722927704539166/977710986393944064/unknown.png)
 
![image](https://cdn.discordapp.com/attachments/974722927704539166/977710814003859487/unknown.png)
 
![image](https://cdn.discordapp.com/attachments/974722927704539166/977710342387957780/unknown.png)
 
![image](https://cdn.discordapp.com/attachments/974722927704539166/977712313643728926/unknown.png)
 
![image](https://cdn.discordapp.com/attachments/974722927704539166/977711580659720272/unknown.png)
 
![image](https://cdn.discordapp.com/attachments/974722927704539166/977711433435463760/unknown.png)
 
![image](https://cdn.discordapp.com/attachments/974722927704539166/977721957388791858/unknown.png)
 
![image](https://cdn.discordapp.com/attachments/974722927704539166/977722933713731604/unknown.png)

<hr>
 