untyped
global function autoGlitchPrecache
global function autoGlitchSettings

void function autoGlitchPrecache(){
    #if CLIENT
    AddCallback_EntitiesDidLoad(glitchAutoLight)
    thread FogDisabler()
    #endif
}

void function autoGlitchSettings(){
    #if UI
    AddConVarSettingEnum("glitch_oh_bloom_scale", "Bloom Scale", "S2.GlitchOverhaul | Post Processing", ["0 (Off)", "1 (Base)", "2 (Recommended)", "3 (Very High)"])
    AddConVarSettingEnum("glitch_oh_fog", "Map Fog", "S2.GlitchOverhaul | Post Processing", ["Off", "On"])
    AddConVarSettingEnum("glitch_oh_cc_toggle", "Colour Correction", "S2.GlitchOverhaul | Post Processing", ["Off", "On"])
    #endif
}

#if CLIENT
void function glitchAutoLight(){
    entity player = GetLocalClientPlayer()
    if(player == null)
        return
    int bloomScale = GetConVarInt("glitch_oh_bloom_scale")
    bool colourCorrectionToggle = (GetConVarInt("glitch_oh_cc_toggle") == 1) ? true : false
    if(GetConVarString("oldMapName") == "mp_glitch")
        player.ClientCommand("fog_enableskybox 1; mat_disable_bloom 0; fog_enable 1; mat_force_bloom 1; mat_bloom_exponent_post 1; mat_bloomscale 1; mat_bloom_wide_amount 0.2; mat_sun_scale 1; mat_sky_color 0 0 0 0; mat_colorcorrection 1; mat_envmap_scale 1.0")
    if(GetMapName() == "mp_glitch"){
        player.ClientCommand("fog_enableskybox 1; mat_disable_bloom 0; fog_enable 1; mat_force_bloom 1; mat_bloom_exponent_post 1; mat_bloomscale 3; mat_bloom_wide_amount 0.4; mat_sun_scale 0; mat_sky_color 0.1 0.15 0.2; mat_colorcorrection 1; mat_envmap_scale 0.25")
        if(bloomScale == 0)
            player.ClientCommand("mat_bloomscale 0")
        if(bloomScale == 1)
            player.ClientCommand("mat_bloom_exponent_post 1; mat_bloomscale 1; mat_bloom_wide_amount 0.2")
        if(bloomScale == 2)
            player.ClientCommand("mat_bloom_exponent_post 1; mat_bloomscale 3; mat_bloom_wide_amount 0.4")
        if(bloomScale == 3)
            player.ClientCommand("mat_bloom_exponent_post 1; mat_bloomscale 5; mat_bloom_wide_amount 0.6")
        if(!colourCorrectionToggle)
            player.ClientCommand("mat_colorcorrection 0")
    }
    SetConVarString("oldMapName", GetMapName())
}

void function FogDisabler(){
    for(;;){
        WaitFrame()
        if(GetMapName() == "mp_glitch"){
            if(GetConVarInt("glitch_oh_fog") == 0)
                SetMapSetting_FogEnabled(false)
            else
                SetMapSetting_FogEnabled(true)
        }
    }
}
#endif